All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculations.percent
Class FractionalItemInfo

    com.sas.dataselectors.calculations.percent.FractionalItemInfo

    public class FractionalItemInfo

Encapsulates information about Fractional Data Items.

Since:
  3.1.4

Constructor Summary
`FractionalItemInfo()` Default constructor.

Method Summary
`boolean` | `equals(FractionalItemInfo itemInfo)` Returns a boolean indicating whether the specified FractionalItemInfo is equivalent to this FractionalItemInfo.
`java.lang.String` | `getDenominatorId()` Returns the unique identifier of the item's denominator.
`java.lang.String` | `getDenominatorLabel()` Returns the label of the item's denominator.
`int` | `getDenominatorType()` Returns the type of denominator.
`java.lang.String` | `getId()` Return the unique identifier for the item.
`java.lang.String` | `getLabel()` Returns the label of the item.
`java.lang.String` | `getNumeratorId()` Returns the unique identifier of the item's numerator.
`java.lang.String` | `getNumeratorLabel()` Returns the label of the item's numerator.
`void` | `setDenominatorId(java.lang.String denominatorId)` Sets the unique identifier of the item's denominator.
`void` | `setDenominatorLabel(java.lang.String denominatorLabel)` Sets the label of the item's denominator.
`void` | `setDenominatorType(int denominatorType)` Sets the type of denominator.
`void` | `setId(java.lang.String id)` Sets the unique identifier for the item.
`void` | `setLabel(java.lang.String label)` Sets the label of the item.
`void` | `setNumeratorId(java.lang.String numeratorId)` Sets the unique identifier of the item's numerator.
`void` | `setNumeratorLabel(java.lang.String numeratorLabel)` Sets the label of the item's numerator.

Constructor Detail

### FractionalItemInfo

    public FractionalItemInfo()

  Default constructor.

Method Detail

### setId

    public void setId(java.lang.String id)

  Sets the unique identifier for the item.

  Parameters:
    `id` - the unique identifier.

### getId

    public java.lang.String getId()

  Return the unique identifier for the item.

  Returns:
    the unique identifier.

### setNumeratorId

    public void setNumeratorId(java.lang.String numeratorId)

  Sets the unique identifier of the item's numerator.

  Parameters:
    `id` - the unique identifier.

### getNumeratorId

    public java.lang.String getNumeratorId()

  Returns the unique identifier of the item's numerator.

  Returns:
    the unique identifier.

### setDenominatorId

    public void setDenominatorId(java.lang.String denominatorId)

  Sets the unique identifier of the item's denominator.

  Only applicable when the denominator is a single item instead of one of the aggregate types.

  Parameters:
    `id` - the unique identifier.

### getDenominatorId

    public java.lang.String getDenominatorId()

  Returns the unique identifier of the item's denominator.

  Only applicable when the denominator is a single item instead of one of the aggregate types.

  Returns:
    the unique identifier.

### setDenominatorType

    public void setDenominatorType(int denominatorType)

  Sets the type of denominator.

  Only applicable when the denominator is an aggregate type instead of a single item.

  Parameters:
    `denominatorType` - the denominator's type.

### getDenominatorType

    public int getDenominatorType()

  Returns the type of denominator.

  Only applicable when the denominator is an aggregate type instead of a single item.

  Returns:
    the denominator's type.

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label of the item.

  Parameters:
    `label` - the item's label.

### getLabel

    public java.lang.String getLabel()

  Returns the label of the item.

  Returns:
    the item's label.

### setNumeratorLabel

    public void setNumeratorLabel(java.lang.String numeratorLabel)

  Sets the label of the item's numerator.

  Parameters:
    `label` - the item's numerator label.

### getNumeratorLabel

    public java.lang.String getNumeratorLabel()

  Returns the label of the item's numerator.

  Returns:
    the item's numerator label.

### setDenominatorLabel

    public void setDenominatorLabel(java.lang.String denominatorLabel)

  Sets the label of the item's denominator.

  Parameters:
    `label` - the item's denominator label.

### getDenominatorLabel

    public java.lang.String getDenominatorLabel()

  Returns the label of the item's denominator.

  Returns:
    the item's denominator label.

### equals

    public boolean equals(FractionalItemInfo itemInfo)

  Returns a boolean indicating whether the specified FractionalItemInfo is equivalent to this FractionalItemInfo.

  The specified FractionalItemInfo is not equivalent to this FractionalItemInfo when:

  - The specified FractionalItemInfo is null
  - The FractionalItemInfo's numeratorId does not match this object's numeratorId
  - The FractionalItemInfo's denominatorId does not match this object's non-null denominatorId
  - The FractionalItemInfo's denominatorType does not match this object's denominatorType
  otherwise the items are equivalent.

  Parameters:
    `itemInfo` - the FractionalItemInfo object to compare to this FractionalItemInfo.
  Returns:
    a boolean indicating whether the specified FractionalItemInfo is equivalent to this FractionalItemInfo.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.